
Class, Component {
	fillcolor: lightgrey;
	elementIcon: false;
	leftMarginLabel: 35;
	topMarginLabel: 7;
	bottomMarginLabel: 7;
	shapeDirection: 0;
	shapeVisibility: true;
	displayStereotypes: false;
}

Property {
	elementIcon: false;
	leftMarginLabel: 35;
	topMarginLabel: 7;
	bottomMarginLabel: 7;
	shapeDirection: 0;
	shapeVisibility: true;
	maskLabel: name, type;
}


Class[appliedStereotypes~="AAS::AssetAdministrationShell"] {
	fillColor: #ADCDE2;
	elementIcon: false;
	lineWidth: 2;
	/* bold: true; */
	bold: false;
	radiusWidth: 10;
	radiusHeight: 10;
	gradient : white horizontal;
	svgFile: "platform:/plugin/org.eclipse.papyrus.aas.ui/resources/shapes/AAS.svg";
	displayStereotypes: false;
	lineColor:  #0d3775;
	
}
Class[appliedStereotypes~="AAS::Asset"] {
	fillColor: #8D8D8C;
	elementIcon: false;
	lineWidth: 2;
	/* bold: true; */
	bold: false;
	radiusWidth: 10;
	radiusHeight: 10;
	gradient : white horizontal;
	svgFile: "platform:/plugin/org.eclipse.papyrus.aas.ui/resources/shapes/Asset.svg";
	displayStereotypes: false;
	lineColor: #303030;
}
Class[appliedStereotypes~="AAS::Submodel"] {
	fillColor: palegoldenrod;
	elementIcon: false;
	lineWidth: 2;
	/* bold: true; */
	bold: false;
	radiusWidth: 10;
	radiusHeight: 10;
	gradient : white horizontal;
	svgFile: "platform:/plugin/org.eclipse.papyrus.aas.ui/resources/shapes/SM.svg";
	displayStereotypes: false;
	lineColor: #b49500;
}
Class[appliedStereotypes~="AAS::SubmodelElementCollection"] {
	fillColor: #FFE3BF;
	elementIcon: false;
	lineWidth: 2;
	/* bold: true; */
	bold: false;
	radiusWidth: 10;
	radiusHeight: 10;
	gradient : white horizontal;
	svgFile: "platform:/plugin/org.eclipse.papyrus.aas.ui/resources/shapes/SEC.svg";
	displayStereotypes: false;
	lineColor:  #b4644d;
}
Class[appliedStereotypes~="AAS::ConceptDescription"] {
	fillColor: #D9F7A6;
	elementIcon: false;
	lineWidth: 2;
	bold: false;
	radiusWidth: 10;
	radiusHeight: 10;
	gradient : white horizontal;
	svgFile: "platform:/plugin/org.eclipse.papyrus.aas.ui/resources/shapes/CD.svg";
	displayStereotypes: false;
	lineColor: #08570d;
}

Class>Compartment[type=StereotypeCompartment]{
	visible:false;
}
[appliedStereotypes~="AAS::AssetAdministrationShell"] >Compartment[kind="attributes"]{
	visible:false;
	showTitle:false;
	
}
[appliedStereotypes~="AAS::AssetAdministrationShell"] >Compartment[kind="operations"]{
	visible:false;
	showTitle:false;
	
}
[appliedStereotypes~="AAS::AssetAdministrationShell"] >Compartment[kind="nestedclassifiers"]{
	visible:true;
	showTitle:false;
}
[appliedStereotypes~="AAS::AssetAdministrationShell"] {
	canonical:true;
}
[appliedStereotypes~="AAS::Entity"] >Compartment[kind="attributes"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::Entity"] >Compartment[kind="operations"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::Entity"] >Compartment[kind="nestedclassifiers"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::Asset"] >Compartment[kind="attributes"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::Asset"] >Compartment[kind="operations"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::Asset"] >Compartment[kind="nestedclassifiers"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::ConceptDescription"] >Compartment[kind="attributes"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::ConceptDescription"] >Compartment[kind="operations"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::ConceptDescription"] >Compartment[kind="nestedclassifiers"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::Submodel"] >Compartment[kind="attributes"]{
	visible:true;
	showTitle:false;
	
}
[appliedStereotypes~="AAS::Submodel"] >Compartment[kind="operations"]{
	visible:true;
	showTitle:true;
	
}
[appliedStereotypes~="AAS::Submodel"] >Compartment[kind="nestedclassifiers"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::Submodel"] {
	canonical:true;
}

[appliedStereotypes~="AAS::SubmodelElementCollection"] >Compartment[kind="attributes"]{
	visible:true;
	showTitle:true;
	
}
[appliedStereotypes~="AAS::SubmodelElementCollection"] >Compartment[kind="operations"]{
	visible:true;
	showTitle:true;
	
}
[appliedStereotypes~="AAS::SubmodelElementCollection"] >Compartment[kind="nestedclassifiers"]{
	visible:false;
	showTitle:false;
}
[appliedStereotypes~="AAS::SubmodelElementCollection"] >Compartment[type=StereotypeCompartment]{
	visible:false;
}
[appliedStereotypes~="AAS::SubmodelElementCollection"] {
	canonical:true;
}

[appliedStereotypes~="AAS::SubmodelElementCollection"] {
	maskLabel: name ;
}
[appliedStereotypes~="AAS::File"] {
	maskLabel: name ;
}
[appliedStereotypes~="AAS::Capability"] {
	maskLabel: name ;
}
[appliedStereotypes~="AAS::ReferenceElement"] {
	maskLabel: name ;
}
[appliedStereotypes~="AAS::Property"] {
	maskLabel: name type;
}
Property {
	maskLabel: name type;
}

Operation > Label[type=StereotypeLabel]{
      visible: false
}
Association > Label:sourceMultiplicity {
	visible:false;
}

Association > Label:targetMultiplicity {
	visible:false;
}

Association > Label:sourceRole {
	visible:false;
}

Association > Label:targetRole {
	visible:false;
}

Association > Label:name {
	visible:true;
}
[appliedStereotypes~="AAS::Event"] {
	maskLabel: name ;
}
[appliedStereotypes~="AAS::MultiLanguageProperty"] {
	maskLabel: name ;
}

[appliedStereotypes~="AAS::BasicEvent"] {
	maskLabel: name ;
}

Class>Label[type=StereotypeLabel]{
	visible:true;
 	depth:"none";
 }
